Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.repository.impl
Class ProtegeOWLPluginFolderRepository

    java.lang.Object
      edu.stanford.smi.protegex.owl.repository.impl.AbstractStreamBasedRepositoryImpl
          edu.stanford.smi.protegex.owl.repository.impl.AbstractLocalRepository
              edu.stanford.smi.protegex.owl.repository.impl.LocalFolderRepository
                  edu.stanford.smi.protegex.owl.repository.impl.ProtegeOWLPluginFolderRepository

All Implemented Interfaces:
  Repository

    public class ProtegeOWLPluginFolderRepository

extends LocalFolderRepository

User: matthewhorridge
The University Of Manchester
Medical Informatics Group
Date: Sep 18, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.repository.impl.LocalFolderRepository
`RECURSIVE_FLAG`

Constructor Summary
`ProtegeOWLPluginFolderRepository()`

Method Summary
`String` | `getRepositoryDescription()` Gets a description of the type of the repository.
`boolean` | `isSystem()` Determines if the ontology repository is a system repository.
`boolean` | `isWritable(URI ontologyName)` Determines if the specified ontology is writable.

Methods inherited from class edu.stanford.smi.protegex.owl.repository.impl.LocalFolderRepository
`getRepositoryDescriptor, refresh`

Methods inherited from class edu.stanford.smi.protegex.owl.repository.impl.AbstractLocalRepository
`contains, getFile, getInputStream, getOntologies, getOntologyLocationDescription, getOutputStream, isForceReadOnly, processFile, putOntology, setForceReadOnly`

Methods inherited from class edu.stanford.smi.protegex.owl.repository.impl.AbstractStreamBasedRepositoryImpl
`hasOutputStream, loadImportedAssertions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProtegeOWLPluginFolderRepository

    public ProtegeOWLPluginFolderRepository()

Method Detail

### getRepositoryDescription

    public String getRepositoryDescription()

  Description copied from interface: `Repository`
  Gets a description of the type of the repository. For example, "Local folder".

  Specified by:
    `getRepositoryDescription` in interface `Repository`
  Overrides:
    `getRepositoryDescription` in class `LocalFolderRepository`

### isSystem

    public boolean isSystem()

  Description copied from interface: `Repository`
  Determines if the ontology repository is a system repository.

  Specified by:
    `isSystem` in interface `Repository`
  Overrides:
    `isSystem` in class `AbstractLocalRepository`

### isWritable

    public boolean isWritable(URI ontologyName)

  Description copied from interface: `Repository`
  Determines if the specified ontology is writable.

  Specified by:
    `isWritable` in interface `Repository`
  Overrides:
    `isWritable` in class `AbstractLocalRepository`
  Returns:
    `true` if the ontology is writable, or `false` if the ontology is not writable.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.